 package com.huimv.acquisition.controller;

 import com.huimv.acquisition.entity.DeviceTempEntity;
 import com.huimv.acquisition.result.R;
 import com.huimv.acquisition.service.DeviceTempService;
 import com.huimv.acquisition.utils.PageUtils;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;

 import java.util.Arrays;
 import java.util.Map;

 /**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 16:59:32
 */
@RestController
@RequestMapping("management/devicetemp")
@CrossOrigin
public class DeviceTempController {
    @Autowired
    private DeviceTempService deviceTempService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = deviceTempService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		DeviceTempEntity deviceTemp = deviceTempService.getById(id);

        return R.ok().put("deviceTemp", deviceTemp);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody DeviceTempEntity deviceTemp){
		deviceTempService.save(deviceTemp);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody DeviceTempEntity deviceTemp){
		deviceTempService.updateById(deviceTemp);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		deviceTempService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
